Bug 2203051 (CVE-2023-24805)

Summary: CVE-2023-24805 cups-filters: remote code execution in cups-filters, beh CUPS backend
Product: [Other] Security Response Reporter: Sandipan Roy <saroy>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: bmason, pdancak, security-response-team, zdohnal
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in cups-filters. This security flaw occurs if you use beh to create an accessible network printer, possibly resulting in remote code execution.
Story Points: ---
Clone Of: Environment:
Last Closed: 2023-06-06 00:18:35 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2203055, 2203056, 2203057, 2203058, 2203059, 2203060, 2203061, 2203062, 2203063, 2203064, 2207970    
Bug Blocks: 2196941    

Description Sandipan Roy 2023-05-11 06:27:35 UTC
beh backend: Use execv() instead of system() - CVE-2023-24805

If you use "beh" to create an accessible network printer, this security vulnerability can cause remote code execution.
https://github.com/OpenPrinting/cups-filters/security/advisories/GHSA-gpxc-v2m8-fr3x

Comment 5 Sandipan Roy 2023-05-17 13:16:21 UTC
Created cups-filters tracking bugs for this issue:

Affects: fedora-all [bug 2207970]

Comment 9 errata-xmlrpc 2023-06-02 13:49:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Update Services for SAP Solutions

Via RHSA-2023:3429 https://access.redhat.com/errata/RHSA-2023:3429

Comment 10 errata-xmlrpc 2023-06-02 13:49:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2023:3423 https://access.redhat.com/errata/RHSA-2023:3423

Comment 11 errata-xmlrpc 2023-06-02 13:53:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9.0 Extended Update Support

Via RHSA-2023:3424 https://access.redhat.com/errata/RHSA-2023:3424

Comment 12 errata-xmlrpc 2023-06-02 13:55:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Advanced Update Support
  Red Hat Enterprise Linux 8.2 Update Services for SAP Solutions
  Red Hat Enterprise Linux 8.2 Telecommunications Update Service

Via RHSA-2023:3428 https://access.redhat.com/errata/RHSA-2023:3428

Comment 13 errata-xmlrpc 2023-06-02 13:55:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Extended Update Support

Via RHSA-2023:3427 https://access.redhat.com/errata/RHSA-2023:3427

Comment 14 errata-xmlrpc 2023-06-02 13:56:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.6 Extended Update Support

Via RHSA-2023:3426 https://access.redhat.com/errata/RHSA-2023:3426

Comment 15 errata-xmlrpc 2023-06-02 13:58:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2023:3425 https://access.redhat.com/errata/RHSA-2023:3425

Comment 16 Product Security DevOps Team 2023-06-06 00:18:34 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2023-24805